{
	"name": "form/nc/erp-sync/woocommerce/column/order-sales.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"icon": "nc-link-icon",
			"link_field": "so.sales_order_id",
			"link_data_field": "ord.order_id",
			"name": "Row",
			"record_type": "sales",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 65
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"import": false,
			"change_compare": false,
			"field": "ord.order_id",
			"name": "Myyntitil.",
			"width": 80
		},
		{
			"field": "ord.json_data.project_id",
			"name": "Woo Id",
			"width": 70
		},
		{
			"change_compare": false,
			"field": "ord.order_date",
			"name": "Tilaus pv",
			"width": 90
		},
		{
			"change_compare": false,
			"field": "ord.order_state",
			"name": "Tila",
			"width": 80
		},
		{
			"change_compare": false,
			"field": "ord.company_id",
			"name": "Asiakas",
			"width": 80
		},
		{
			"change_compare": false,
			"field": "ord.price_without_vat",
			"name": "Hinta alv 0%",
			"format": "%'.2f",
			"width": 100
		},
		{
			"change_compare": false,
			"field": "ord.vat_price",
			"name": "Alv",
			"format": "%'.2f",
			"width": 80
		},
		{
			"variable": "ord.price_with_vat",
			"name": "Hinta yht.",
			"format": "%'.2f",
			"width": 90
		},
		{
			"field": "ord.currency_id",
			"name": "Valuutta",
			"width": 70
		},
		{
			"field": "ord.note",
			"name": "Huomautukset",
			"width": 200
		},
		{
			"change_compare": false,
			"field": "ord.json_data.additional_data",
			"name": "Json data",
			"type": "json",
			"width": 400
		},
		{
			"change_compare": false,
			"hide": true,
			"field": "ord.record_id",
			"name": "Record id",
			"width": 110
		},
		{
			"change_compare": false,
			"hide": true,
			"variable": "ordr",
			"name": "Order row",
			"width": 110
		}
	],
	"columns_not_in_use": [
		{
			"field": "ord.json_data.delivery_address",
			"name": "Toim. osoite",
			"width": 100
		},
		{
			"field": "ord.json_data.invoicing_address",
			"name": "Lask. osoite",
			"width": 100
		},
		{
			"field": "ordr.row_number",
			"name": "Rivi",
			"width": 50
		},
		{
			"field": "ordr.json_data.partial_delivery_number",
			"name": "Osatoim.",
			"width": 70
		},
		{
			"field": "co.name",
			"name": "As. nimi",
			"width": 120
		},
		{
			"field": "ordr.json_data.partial_delivery_number",
			"name": "Osatoim.",
			"width": 40
		},
		{
			"field": "ordr.product_id",
			"name": "Tuote",
			"width": 70
		},
		{
			"field": "ordr.unit_price",
			"name": "á hinta",
			"width": 60
		},
		{
			"field": "ordr.order_amount",
			"name": "Määrä",
			"width": 60
		},
		{
			"field": "ordr.vat_price",
			"name": "alv",
			"width": 70
		}
	]
}
